Rails 3: bundle install vendor - ffi 0.5.4 gem crashes : ERROR: Failed to build gem native extension

Installing ffi (0.5.4) from rubygems repository at http://gemcutter.org
with native extensions /usr/local/Cellar/ruby/1.9.1-p378/lib/ruby/
site_ruby/1.9.1/rubygems/installer.rb:504:in `rescue in block in
build_extensions': ERROR: Failed to build gem native extension.
(Gem::Installer::ExtensionBuildError)

rake RUBYARCHDIR=/Users/kristianconsult/my_rails/rails3_apps/demo_app/
vendor/gems/ffi-0.5.4/lib RUBYLIBDIR=/Users/kristianconsult/my_rails/
rails3_apps/demo_app/vendor/gems/ffi-0.5.4/lib
/usr/local/Cellar/ruby/1.9.1-p378/lib/ruby/site_ruby/1.9.1/rubygems.rb:
827:in `report_activate_error': Could not find RubyGem rake (>= 0)
(Gem::LoadError)
  from /usr/local/Cellar/ruby/1.9.1-p378/lib/ruby/site_ruby/1.9.1/
rubygems.rb:261:in `activate'
  from /usr/local/Cellar/ruby/1.9.1-p378/lib/ruby/site_ruby/1.9.1/
rubygems.rb:68:in `gem'
  from <internal:gem_prelude>:273:in `push_gem_version_on_load_path'
  from <internal:gem_prelude>:14:in `gem'
  from /usr/local/bin/rake:18:in `<main>'

How can I resolve this?

Gemfile